KDFFeedbackParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class KDFFeedbackParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.KDFFeedbackParameters

- All Implemented Interfaces:
    DerivationParameters

      public final class KDFFeedbackParameters
      extends java.lang.Object
      implements DerivationParameters

  Note that counter is only supported at the location presented in the NIST SP 800-108 specification, not in the additional locations present in the CAVP test vectors.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KDFFeedbackParameters` | `createWithCounter(byte[] ki, byte[] iv, byte[] fixedInputData, int r)`
    `static KDFFeedbackParameters` | `createWithoutCounter(byte[] ki, byte[] iv, byte[] fixedInputData)`
    `byte[]` | `getFixedInputData()`
    `byte[]` | `getIV()`
    `byte[]` | `getKI()`
    `int` | `getR()`
    `boolean` | `useCounter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createWithCounter

          public static KDFFeedbackParameters createWithCounter(byte[] ki,
                                                                byte[] iv,
                                                                byte[] fixedInputData,
                                                                int r)

    - #### createWithoutCounter

          public static KDFFeedbackParameters createWithoutCounter(byte[] ki,
                                                                   byte[] iv,
                                                                   byte[] fixedInputData)

    - #### getKI

          public byte[] getKI()

    - #### getIV

          public byte[] getIV()

    - #### useCounter

          public boolean useCounter()

    - #### getR

          public int getR()

    - #### getFixedInputData

          public byte[] getFixedInputData()